﻿
Namespace Results

    ''' <summary>
    ''' Beschreibt ein Ergebnis, welches einen Wert eines Vorgangs zurückgibt.
    ''' </summary>
    ''' <typeparam name="TValue">Der Typ des Wertes</typeparam>
    Public Interface IValuedResult(Of TValue)
        Inherits IResult

        ''' <summary>
        ''' Der vom Vorgang zurückgegebene Wert.
        ''' </summary>
        ReadOnly Property Value As TValue

    End Interface

End Namespace
