﻿
Namespace Streams

    ''' <summary>
    ''' Wird ausgelöst, wenn das Ende des Streams vorzeitig erreicht wurde, oder wenn der Stream bereits zuende gelesen wurde.
    ''' </summary>
    Public Class EndOfStreamException
        Inherits Exception

        <DebuggerStepThrough()> _
        Public Sub New()
            MyBase.New("Der Stream ist bereits zu Ende gelesen.")
        End Sub

        <DebuggerStepThrough()> _
        Public Sub New(NewMessage As String)
            MyBase.New(NewMessage)
        End Sub

    End Class

End Namespace
