﻿
Namespace Results

    ''' <summary>
    ''' Beschreibt ein Ergebnis, welches einen Fehler eines Vorgangs zurückgibt.
    ''' </summary>
    ''' <typeparam name="TError">Der Typ des Fehlers</typeparam>
    Public Interface IErroredResult(Of TError)
        Inherits IResult

        ''' <summary>
        ''' Der Fehler im Vorgang.
        ''' </summary>
        ReadOnly Property [Error] As TError

    End Interface

End Namespace
